【Laravel青本】学習記録01-conohaのVPSでlaravel環境つくるならテンプレから選ぶだけ

徒然草2.0

conohaのvpsを立ち上げlaravel環境をつくる。

…なんとインスタンス生成時にアプリケーションからlaravelを選べばインストールの手間は不要でした。ログイン時にドキュメントルートの情報まで丁寧に教えてくれます↓こんな感じIPにアクセスすれば初期ページが開かれています(あ、mysqlとかいれないといけないのかな?と思いましたがご丁寧にちゃんと使える状態になっていました…素晴らしい。気が効きます)

================================================
Welcome to Laravel!

DocumentRoot: /var/www/html/laravel
URL: http://XXX.XXX.XXX.XXX/
MySQL Username: root
MySQL Password: XXXXXXXXXX

Enjoy!

To delete this message: rm -f /etc/motd
================================================

# apacheユーザだと直接テキスト編集しにくいので、別ユーザ(gomiryo)を作成してvimで編集できるようにする。
vi /etc/httpd/conf/httpd.conf # UserとGroupをgomiryoに変更。
adduser gomiryo
chown -R gomiryo:gomiryo /var/www/html/laravel
systemctl restart httpd.service

# gitをインストール
yum install git

## 反省点
・comporserのインストールに失敗したエラーに苦しむくらいならcomporser.pherを適当なフォルダーにいれてphpで実行してあげたほうが失敗する可能性が減るかも。

## 試行錯誤ログ【失敗】
CentOS8.2は先に行き過ぎている気がしたのでCentOS7.8を選んだ。1core-30GB。
useradd gomiryo
# yum -y install php # php5.4が入るのでダメ
yum update # とりあえずupdate # しなくてもいいかも…。
# yum list php7* # 7系を探す…が出てこない。
yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm (参考:https://weblabo.oscasierra.net/centos7-php72-install/)何回か失敗することがあるが、繰り返すとCompete!になる。
# yum search httpd php72 # php72とhttpdを探す
yum -y install php72 php72-php
mv /usr/bin/php /usr/bin/php54
ln -s /usr/bin/php72 /usr/bin/php # シンボリックリンクを変更。
sudo gomiro
cd
# composerのサイトにあるインスールコマンドを実行
php -r “copy(‘https://getcomposer.org/installer’, ‘composer-setup.php’);”
php -r “if (hash_file(‘sha384’, ‘composer-setup.php’) === ‘e5325b19b381bfd88ce90a5ddb7823406b2a38cff6bb704b0acc289a09c8128d4a8ce2bbafcd1fcbdc38666422fe2806’) { echo ‘Installer verified’; } else { echo ‘Installer corrupt’; unlink(‘composer-setup.php’); } echo PHP_EOL;”
php composer-setup.php
php -r “unlink(‘composer-setup.php’);”
exit
cd /home/gomiryo/
mv composer.phar /usr/local/bin/composer # globalなコマンドにしてしまう場合
# phpの何かが足りていないので…以下

Problem 1
– Installation request for laravel/installer ^3.2 -> satisfiable by laravel/installer[v3.2.0].
– laravel/installer v3.2.0 requires ext-zip * -> the requested PHP extension zip is missing from your syst
em.

To enable extensions, verify that they are enabled in your .ini files:
– /etc/opt/remi/php72/php.ini
– /etc/opt/remi/php72/php.d/20-bz2.ini
– /etc/opt/remi/php72/php.d/20-calendar.ini
– /etc/opt/remi/php72/php.d/20-ctype.ini
– /etc/opt/remi/php72/php.d/20-curl.ini
– /etc/opt/remi/php72/php.d/20-exif.ini
– /etc/opt/remi/php72/php.d/20-fileinfo.ini
– /etc/opt/remi/php72/php.d/20-ftp.ini
– /etc/opt/remi/php72/php.d/20-gettext.ini
– /etc/opt/remi/php72/php.d/20-iconv.ini
– /etc/opt/remi/php72/php.d/20-json.ini
– /etc/opt/remi/php72/php.d/20-phar.ini
– /etc/opt/remi/php72/php.d/20-sockets.ini
– /etc/opt/remi/php72/php.d/20-tokenizer.ini
You can also run `php –ini` inside terminal to see which files are used by PHP in CLI mode.

# yum install -y php72* # ダメっぽい
# yum install -y php72-php-mysql php72-php-php-mysqlnd php72-php-bcmath php72-php-ctype php72-php-json php72-php-mbstring php72-php-openssl php72-php-PDO php72-php-tokenizer php72-php-xml gcc (参考:https://qiita.com/yuichi1992_west/items/5f3718ab6e4c92c8b238)
yum install -y php-devel php-mbstring php-pdo php-gd php-xml php-mcrypt php-mysqlnd #これで色々と入る
composer global require laravel/installer
# remi-phpが良さそう?
# yum install –enablerepo=remi,remi-php72 php-mbstring “?
yum install php72-php-zip #これで上手く行った。
composer global require laravel/installer
Generating autoload files
11 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
オートロードファイルの生成
使用している11個のパッケージが資金調達を求めています。
詳しくは、「作曲家資金」コマンドを使用してください!

は?
./composer.jsonが更新されました
パッケージ情報を含むComposerリポジトリの読み込み
依存関係の更新(require-devを含む)

#laravel new laravelapp

コメント

タイトルとURLをコピーしました